/* === Actions === */

.actions {
  position: relative;
  background-color: var(--white-color);
  box-shadow: var(--shadow);
  padding: 2rem;
  border-radius: 1.5rem;
  overflow: hidden;

  height: 100%;
}

.actions::before {
  content: '';
  position: absolute;
  width: 40rem;
  height: 40rem;
  background-color: rgba(0, 172, 134, 0.18);
  border-radius: 50%;
  bottom: -20rem;
  left: -15rem;
}

.actions::after {
  content: '';
  position: absolute;
  width: 20rem;
  height: 20rem;
  background-color: #00ac862e;
  border-radius: 50%;
  top: -8rem;
  right: -8rem;
}

/* === Form layout === */

.form {
  display: flex;
  flex-direction: column;
  gap: 2rem;
  padding: 2rem;
  max-width: 46rem;

  align-items: center;
  margin: 0 auto;
}

.form__group {
  opacity: 1;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
  width: 100%;
}

.form__group--hidden {
  opacity: 0;
  transform: translateY(-10px);
  pointer-events: none;
}

.form__group.fade-in {
  animation: fadeInButton 0.5s ease forwards;
}

@keyframes fadeInButton {
  from {
    opacity: 0;
    transform: translateY(-15px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}

.form__label {
  font-weight: 600;
  font-size: 1.6rem;
  color: var(--dark-gray-color);
  text-transform: uppercase;
  margin-bottom: 1rem;
}

.form__label--accent {
  color: var(--accent-color);
  font-weight: 700;
}

.accent__btn {
  display: block;
  background-color: var(--accent-color);
  width: 100%;
  border-radius: 1rem;
  padding: 2.5rem 0;
  color: var(--white-color);
  text-transform: uppercase;
  font-weight: 600;
  box-shadow: var(--shadow);

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1rem;
}

.accent__btn:not(:disabled):hover {
  background-color: var(--dark-accent-color);
  transform: scale(1.02);
}

.accent__btn--img {
  width: 3.2rem;
  height: 3.2rem;
}

.tariff-block:first-child {
  margin-top: 2rem;
}

.tariff-block {
  margin-bottom: 2rem;
}

.data-selection {
  height: 100%;
}

.data-selection__layout {
  display: grid;
  grid-template-columns: minmax(30rem, 45rem) 1fr;
  gap: 2rem;
  height: 100%;
}

.data-selection__form {
  position: relative;
  background-color: var(--white-color);
  box-shadow: var(--shadow);
  padding: 2rem;
  border-radius: 1.5rem;
  overflow: hidden;

  height: 100%;

  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.tariffs-block {
  max-height: calc(100vh - 38rem);
  width: fit-content;
  width: 100%;
  padding-right: 1rem;
  overflow-y: scroll;
}

.tariffs-block::-webkit-scrollbar {
  width: 1rem; /* Width scrollbar */
}

.tariffs-block::-webkit-scrollbar-track {
  background: transparent; /* Color line */
}

.tariffs-block::-webkit-scrollbar-thumb {
  background-color: var(--accent-color); /* Color bg */
  border-radius: 2rem; /* Border radius bg */
  border: 3px solid var(--white-color); /* Badding around line */
}

.data-selection__viewer {
  background-color: var(--pdf-bg);
  border-radius: 1.5rem;
  height: calc(100vh - 230px);
  display: flex;
  gap: 2rem;
  padding: 2rem;
  overflow: hidden;
}

.viewer__main {
  flex: 1;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.viewer__controls {
  display: flex;
  gap: 0.6rem;
  justify-content: center;
  margin-bottom: 0.6rem;
  background-color: #4f4f4f;
  border-radius: 2rem;
  padding: .2rem;
  color: #fff;
}

.viewer__page-wrapper {
  position: relative;
  display: inline-block;
  transform-origin: top center;
}

.viewer__canvas {
  position: relative;
  width: 100%;
  height: 100%;

  /* центрируем содержимое */
  display: flex;
  justify-content: center;
  align-items: flex-start; /* чтобы страница начиналась сверху */

  overflow: hidden; /* по умолчанию без скроллов на 100% */
  background: var(--pdf-bg);
  margin: 0 auto;
}

.viewer__sidebar {
  width: 160px;
  overflow-y: auto;
}

.viewer__sidebar::-webkit-scrollbar,
.viewer__canvas::-webkit-scrollbar {
  width: 1rem; /* Width scrollbar */
}

.viewer__sidebar::-webkit-scrollbar-track,
.viewer__canvas::-webkit-scrollbar {
  background: transparent; /* Color line */
}

.viewer__sidebar::-webkit-scrollbar-thumb,
.viewer__canvas::-webkit-scrollbar {
  background-color: var(--accent-color); /* Color bg */
  border-radius: 2rem; /* Border radius bg */
  border: 3px solid var(--pdf-bg); /* Badding around line */
}

.viewer__thumb {
  cursor: pointer;
  opacity: 0.5;
  margin-bottom: 1rem;
}

.viewer__thumb.active {
  opacity: 1;
  outline: 2px solid var(--accent-color);
}

.viewer__canvas.dragging {
  cursor: grabbing;
}

.viewer__page {
  display: block;
  width: auto;
  height: auto;
  max-width: none;
  max-height: none;
  user-select: none;
  pointer-events: none;
}
